Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixSTFT

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixSTFT

public class LibMatrixSTFT extends Object
Liberary file containing methods to perform short time fourier transformations.

## Constructor Summary

Constructors
Constructor
Description
`LibMatrixSTFT()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock[]`
`stft(MatrixBlock re, int windowSize, int overlap, int threads)`
Function to perform STFT on a given matrices with windowSize and overlap.
`static MatrixBlock[]`
`stft(MatrixBlock re, MatrixBlock im, int windowSize, int overlap, int threads)`
Function to perform STFT on two given matrices with windowSize and overlap.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibMatrixSTFT

public LibMatrixSTFT()

## Method Details

### stft

public static MatrixBlock[] stft(MatrixBlock re, MatrixBlock im, int windowSize, int overlap, int threads)
Function to perform STFT on two given matrices with windowSize and overlap. The first one represents the real values and the second one the imaginary values. The output also contains one matrix for the real and one for the imaginary values. The results of the fourier transformations are appended to each other in the output.

Parameters:
  `re` - Matrix object representing the real values
  `im` - Matrix object representing the imaginary values
  `windowSize` - Size of window
  `overlap` - Size of overlap
  `threads` - The number of threads to use
Returns:
  array of two matrix blocks

### stft

public static MatrixBlock[] stft(MatrixBlock re, int windowSize, int overlap, int threads)
Function to perform STFT on a given matrices with windowSize and overlap. The matrix represents the real values. The output contains one matrix for the real and one for the imaginary values. The results of the fourier transformations are appended to each other in the output.

Parameters:
  `re` - matrix object representing the real values
  `windowSize` - size of window
  `overlap` - size of overlap
  `threads` - The number of threads to use
Returns:
  array of two matrix blocks